> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom Data Sources

> List all custom datasources.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/custom-data-sources
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/custom-data-sources:
    get:
      tags:
        - Custom Data Sources
      summary: List Custom Data Sources
      description: List all custom datasources.
      operationId: core_api_v1_controllers_custom_data_sources_list_custom_data_sources
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CustomDataSourceSummarySchema'
                title: Response
                type: array
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    CustomDataSourceSummarySchema:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
        description:
          title: Description
          type: string
        is_active:
          title: Is Active
          type: boolean
        column_count:
          title: Column Count
          type: integer
        row_count:
          title: Row Count
          type: integer
        created_at:
          format: date-time
          title: Created At
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - name
        - slug
        - description
        - is_active
        - column_count
        - row_count
        - created_at
        - updated_at
      title: CustomDataSourceSummarySchema
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````